Subject: bug#53462: closed (Re: bug#53462: Guile 2.0.14: check fails on i686)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Jan 2022 14:43:02 +0000

Your bug report

#53462: Guile 2.0.14: check fails on i686

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53462: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53462
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53462: Guile 2.0.14: check fails on i686
From: Ludovic Courtès <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked], Denis 'GNUtoo' Carikli <[email-masked]>
Date: Mon, 24 Jan 2022 15:42:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxime Devos <[email-masked]> skribis:

> FAIL: numbers.test: Number-theoretic division: euclidean/: mixed types:
> (130.0 10/7) [other errors]
>
> See <https://issues.guix.gnu.org/49368>.  That's for Guile 3.0.7, but
> it seems like the same issue exists for Guile 2.0.14.
>
> It seems like the fix needs to be moved to guile-2.0.  Some care might
> be required to avoid rebuilds.

Indeed.  Done in c9627323eca0fb1e0b0a0680049ea0f9f20def5e.

Thanks!

Ludo’.

Subject: Guile 2.0.14: check fails on i686
From: Denis 'GNUtoo' Carikli <[email-masked]>
To: [email-masked]
Date: Sun, 23 Jan 2022 01:33:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

With Guix system i686, at the following commit:
> cadcbbaf65 gnu: r-bigmelon: Add r-knitr.
guile 2.0.14 fails tests.

I've attached the log.

I'm unsure what to do here as it's Guile 2.0.14 and on Guile website I
only see Guile 3.0.7 and guile 2.2.7[1], and Guile 2.0.14 s from
2017[2].

References:
-----------
[1]https://www.gnu.org/software/guile/download
[2]https://ftp.gnu.org/gnu/guile

Denis.